Bug 122742 - ADSL modem didn't work
Summary: ADSL modem didn't work
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rik van Riel
QA Contact: Brian Brock
URL: http://baud123.free.fr/eagle/eagle-us...
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-07 16:40 UTC by Flo
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-26 01:20:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Flo 2004-05-07 16:40:12 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; fr; rv:1.6)
Gecko/20040206 Firefox/0.8

Description of problem:
Eagle package allow to use "ADSL modem USB comtrend ct350 / ct361,
sagem fast800 / fast908". It should be interresting to include it
directly, these are very use in France. URL give the source.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Try to use one of these modem
2.
3.
    

Additional info:

Comment 1 Rik van Riel 2004-08-26 01:20:05 UTC
The firmware worries me:

# ADI's firmware header is not free software,
# buildfirmware is therefore in public domain.
# .bnm files are not open sourced, but can be
# considered as data files for buildDSP, and
# buildDSP is published under the GNU GPL license.

I doubt Red Hat would be able to distribute this code.  Even if the
manufacturer gave us (Red Hat) permission to distribute the firmware,
that would not give Fedora's mirror sites permission to do so.

Really two things need to happen for Red Hat to distribute this driver:

1) the firmware must be freely distributable
2) the driver should be included in the upstream kernel


Note You need to log in before you can comment on or make changes to this bug.